ldap {
{% for server in ldap_server_uris %}
	server = "{{ server }}"
{% endfor %}
	identity = "uid=scc-net-radius,ou=ProxyUser,ou=IDM,dc=kit,dc=edu"
	password = "{{ passwords.freeradius_ldap_auth }}"
	base_dn = "ou=unix,ou=IDM,dc=kit,dc=edu"
{% raw %}
	update {
		control:Password-With-Header	+= 'userPassword'
		control:			+= 'radiusControlAttribute'
		request:			+= 'radiusRequestAttribute'
		reply:				+= 'radiusReplyAttribute'
	}
	user {
		base_dn = "${..base_dn}"
		filter = "(uid=%{%{Stripped-User-Name}:-%{User-Name}})"
		scope = 'sub'
        }
	group {
		base_dn = "${..base_dn}"
		filter = '(objectClass=posixGroup)'
		membership_filter = "(memberUid=%{%{Stripped-User-Name}:-%{User-Name}})"
        }
	accounting {
		reference = "%{tolower:type.%{Acct-Status-Type}}"

		type {
			start {
				update {
					description := "Online at %S"
				}
			}

			interim-update {
				update {
					description := "Last seen at %S"
				}
			}

			stop {
				update {
					description := "Offline at %S"
				}
			}
		}
	}
	post-auth {
		update {
			description := "Authenticated at %S"
		}
	}
	options {
		chase_referrals = yes
		rebind = yes
		res_timeout = 10
		srv_timelimit = 3
		net_timeout = 1
		idle = 60
		probes = 3
		interval = 3
		ldap_debug = 0x0028
	}
	tls {
{% endraw %}
		ca_file	= {{ ldap_tls_cacertfile }}{% raw %}
	}
	pool {
		start = ${thread[pool].start_servers}
		min = ${thread[pool].min_spare_servers}
		max = ${thread[pool].max_servers}
		spare = ${thread[pool].max_spare_servers}
		uses = 0
		retry_delay = 30
		lifetime = 0
		idle_timeout = 60
	}
}
{% endraw %}
